import { Database } from '@liskhq/lisk-db';
import { LegacyConfig } from '../../types';
import { Network } from '../network';
import { LegacyBlock, LegacyBlockBracket } from './types';
import { Logger } from '../../logger';
interface LegacyChainHandlerArgs {
    legacyConfig: LegacyConfig;
    network: Network;
    logger: Logger;
}
interface LegacyHandlerInitArgs {
    db: Database;
}
export declare class LegacyChainHandler {
    private readonly _network;
    private _storage;
    private readonly _legacyConfig;
    private readonly _logger;
    private _syncTimeout;
    constructor(args: LegacyChainHandlerArgs);
    init(args: LegacyHandlerInitArgs): Promise<void>;
    sync(): Promise<void>;
    private _trySyncBlocks;
    syncBlocks(bracket: LegacyBlockBracket, legacyBlock: LegacyBlock): Promise<void>;
    private _updateBracketInfo;
    private _applyValidation;
}
export {};
